Subject: Re: [PATCH v4 3/5] ref: add more strict checks for regular refs

From: Junio C Hamano <[email-masked]>
Date: Sun, 22 Sep 2024 09:48:20 -0700

shejialuo <[email-masked]> writes:

> I agree with you here, I use way too general words to describe what
> happens. I will improve this. Actually, I feel hard to find words for
> "MSG_REF_MISSING_NEWLINE". I think we should say:
>
> 	LF should be at the end of the file.

Giving a human-readable message when we have an enum can be done at
a lot higher layer with the current way the fsck_report_ref()
function is used (i.e. in that function, not by its callers).

That is what I meant by "misdesigned"---if one message enum always
corresponds to one human-readable message, there is not much point
in forcing callers to supply both, is there?